@if (columnDisplay && row) {
  <div
    class="full-width full-height"
    [attr.data-test-cell-id]="'dataset-cell'"
    style="display: flex"
    [class.__hover_pointer]="canEdit$ | async"
    [class.interactive-container]="canEdit$ | async"
    (click)="showAvailableDatasetsList()"
  >
    <span
      #displayedDatasetElement
      class="text-ellipsis m-auto-0"
      nz-tooltip
      [sqtmCoreLabelTooltip]="displayedDataset"
    >
      {{ displayedDataset }}
    </span>
    <ng-template #availableDatasetPortalContent>
      <sqtm-core-list-panel
        [selectedItem]="row.data[columnDisplay.id]"
        (itemSelectionChanged)="change($event)"
        [items]="panelItems"
      >
      </sqtm-core-list-panel>
    </ng-template>
  </div>
}
